package com.kmall.admin.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * 库存变化表实体
 * 表名 mall_mng_change
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2019-03-11 10:29:49
 */
public class MngChangeEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    private Integer id;
    /**
     * 商品库存变化数
     */
    private Integer changeNum;
    /**
     * 商品原库存数
     */
    private Integer originalNum;
    /**
     * 商品库存可用数
     */
    private Integer validNum;
    /**
     * 商户编号
     */
    private String merchSn;
    /**
     * 第三方商户代码
     */
    private String thirdPartyMerchCode;
    /**
     * 商品id
     */
    private Integer goodsId;
    /**
     * 是否有效,0:有效，1:无效
     */
    private Integer isValid;
    /**
     * 变动类型 0：还原 1：扣减
     */
    private String changeType;
    /**
     * 变动原因
     */
    private String changeReason;
    /**
     * 创建人编号
     */
    private String createrSn;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改人编号
     */
    private String moderSn;
    /**
     * 修改时间
     */
    private Date modTime;
    /**
     * 时间戳
     */
    private Date tstm;

    private String goodsName;

    private String merchName;

    private String thirdPartyMerchName;

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getMerchName() {
        return merchName;
    }

    public void setMerchName(String merchName) {
        this.merchName = merchName;
    }

    public String getThirdPartyMerchName() {
        return thirdPartyMerchName;
    }

    public void setThirdPartyMerchName(String thirdPartyMerchName) {
        this.thirdPartyMerchName = thirdPartyMerchName;
    }

    /**
     * 设置：
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取：
     */
    public Integer getId() {
        return id;
    }
    /**
     * 设置：商品库存变化数
     */
    public void setChangeNum(Integer changeNum) {
        this.changeNum = changeNum;
    }

    /**
     * 获取：商品库存变化数
     */
    public Integer getChangeNum() {
        return changeNum;
    }
    /**
     * 设置：商品原库存数
     */
    public void setOriginalNum(Integer originalNum) {
        this.originalNum = originalNum;
    }

    /**
     * 获取：商品原库存数
     */
    public Integer getOriginalNum() {
        return originalNum;
    }
    /**
     * 设置：商品库存可用数
     */
    public void setValidNum(Integer validNum) {
        this.validNum = validNum;
    }

    /**
     * 获取：商品库存可用数
     */
    public Integer getValidNum() {
        return validNum;
    }
    /**
     * 设置：商户编号
     */
    public void setMerchSn(String merchSn) {
        this.merchSn = merchSn;
    }

    /**
     * 获取：商户编号
     */
    public String getMerchSn() {
        return merchSn;
    }
    /**
     * 设置：第三方商户代码
     */
    public void setThirdPartyMerchCode(String thirdPartyMerchCode) {
        this.thirdPartyMerchCode = thirdPartyMerchCode;
    }

    /**
     * 获取：第三方商户代码
     */
    public String getThirdPartyMerchCode() {
        return thirdPartyMerchCode;
    }
    /**
     * 设置：商品id
     */
    public void setGoodsId(Integer goodsId) {
        this.goodsId = goodsId;
    }

    /**
     * 获取：商品id
     */
    public Integer getGoodsId() {
        return goodsId;
    }
    /**
     * 设置：是否有效,0:有效，1:无效
     */
    public void setIsValid(Integer isValid) {
        this.isValid = isValid;
    }

    /**
     * 获取：是否有效,0:有效，1:无效
     */
    public Integer getIsValid() {
        return isValid;
    }
    /**
     * 设置：变动类型 0：还原 1：扣减
     */
    public void setChangeType(String changeType) {
        this.changeType = changeType;
    }

    /**
     * 获取：变动类型 0：还原 1：扣减
     */
    public String getChangeType() {
        return changeType;
    }
    /**
     * 设置：变动原因
     */
    public void setChangeReason(String changeReason) {
        this.changeReason = changeReason;
    }

    /**
     * 获取：变动原因
     */
    public String getChangeReason() {
        return changeReason;
    }
    /**
     * 设置：创建人编号
     */
    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    /**
     * 获取：创建人编号
     */
    public String getCreaterSn() {
        return createrSn;
    }
    /**
     * 设置：创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 设置：修改人编号
     */
    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    /**
     * 获取：修改人编号
     */
    public String getModerSn() {
        return moderSn;
    }
    /**
     * 设置：修改时间
     */
    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    /**
     * 获取：修改时间
     */
    public Date getModTime() {
        return modTime;
    }
    /**
     * 设置：时间戳
     */
    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    /**
     * 获取：时间戳
     */
    public Date getTstm() {
        return tstm;
    }
}
